Subject: Re: [PATCH rdma-next 0/2] Real time/free running timestamp support

From: Leon Romanovsky <[email-masked]>
Date: Sun, 14 Feb 2021 08:41:03 +0200

On Fri, Feb 12, 2021 at 05:21:53PM -0400, Jason Gunthorpe wrote:
> On Fri, Feb 12, 2021 at 01:19:09PM -0800, Saeed Mahameed wrote:
> > On Fri, 2021-02-12 at 17:14 -0400, Jason Gunthorpe wrote:
> > > On Fri, Feb 12, 2021 at 01:09:20PM -0800, Saeed Mahameed wrote:
> > > > On Fri, 2021-02-12 at 14:10 -0400, Jason Gunthorpe wrote:
> > > > > On Tue, Feb 09, 2021 at 03:11:05PM +0200, Leon Romanovsky wrote:
> > > > > > From: Leon Romanovsky <[email-masked]>
> > > > > >
> > > > > > Add an extra timestamp format for mlx5_ib device.
> > > > > >
> > > > > > Thanks
> > > > > >
> > > > > > Aharon Landau (2):
> > > > > >   net/mlx5: Add new timestamp mode bits
> > > > > >   RDMA/mlx5: Fail QP creation if the device can not support the
> > > > > > CQE
> > > > > > TS
> > > > > >
> > > > > >  drivers/infiniband/hw/mlx5/qp.c | 104
> > > > > > +++++++++++++++++++++++++++++---
> > > > > >  include/linux/mlx5/mlx5_ifc.h   |  54 +++++++++++++++--
> > > > > >  2 files changed, 145 insertions(+), 13 deletions(-)
> > > > >
> > > > > Since this is a rdma series, and we are at the end of the cycle,
> > > > > I
> > > > > took the IFC file directly to the rdma tree instead of through
> > > > > the
> > > > > shared branch.
> > > > >
> > > > > Applied to for-next, thanks
> > > > >
> > > >
> > > > mmm, i was planing to resubmit this patch with the netdev real time
> > > > support series, since the uplink representor is getting delayed, I
> > > > thought I could submit the real time stuff today. can you wait on
> > > > the
> > > > ifc patch, i will re-send it today if you will, but it must go
> > > > through
> > > > the shared branch
> > >
> > > Friday of rc7 is a bit late to be sending new patches for the first
> > > time, isn't it??
> >
> > I know, uplink representor last minute mess !
> >
> > >
> > > But sure, if you update the shared branch right now I'll fix up
> > > rdma.git
> > >
> >
> > I can't put it in the shared brach without review, i will post it to
> > the netdev/rdma lists for two days at least for review and feedback.
>
> Well, I'm not going to take any different patches beyond right now
> unless Linus does a rc8??
>
> Just move this one IFC patch to the shared branch, it is obviously OK

OK, I'm curious to see the end result of all this last minute adventure.

Thanks

> Jason